      implicit real*8 (a-h,o-z)

      include 'CONSTCOM.'
      INCLUDE 'PDFCOM.'

      real*8 q2zeus(9)
      data q2zeus /8d0, 1.2d1, 2.2d1, 3d1, 6d1, 8d1, 1.3d2, 2d2, 5d2/

#ifdef TOYLH
      print *,'******THIS BENCH IS INAPPLICABLE FOR THE TOYLH PDFS'
      STOP
#endif

!  Set up constants, grid spacing, etc.
      call initgridconst

! set b-quark mass
      rmass(10)=4.5d0

!  Set up the 3-flavour NNLO PDFs and fill the 3-flavour PDF grid
!  including the strong coupling values
      kschemepdf=0
      kordpdf=2
      call pdffillgrid

!  Set the factorization scale as sqrt(Q2*hqscale1 + 4m^2*hqscale2)
      hqscale1=1d0
      hqscale2=1d0

! benchmark output of F_2,bb

      print *,'The b-quark semi-inclusive structure functions F_2^bb', 
     -' (first column: momentum transferred in GeV^2,',
     -' second column: x, third column: 3-flavour FFNS value of F_2^bb',
     -' at the NNLO, 4-th column: the same at NLO' 

      bmin=1.3d-4
      bmax=0.05
      nbin=30
      bin=(log(bmax)-log(bmin))/(nbin-1)

      do n=1,9
        q2=q2zeus(n)
        do nn=1,nbin
          xb=bmin*exp(bin*(nn-1))
          kordhq=2                                !   O(\alpha_s^3)
          a1=f2charm_ffn(xb,q2,10)
          kordhq=1                                !   O(\alpha_s^2)
          a2=f2charm_ffn(xb,q2,10)
          write (*,fmt='(6e13.4)') q2,xb,a1,a2
        end do
      end do

      stop
      end
