      IMPLICIT DOUBLE PRECISION (A-H,O-Z)

      INCLUDE 'APSCOM6.'
      INCLUDE 'PDFCOM.'
      INCLUDE 'CONSTCOM.'
      INCLUDE 'PRECCOM.' 

      real res,t(2)

      kordalps=2               ! NNLO evolution of \alpha_s (1: NLO) 
      kordkernel=2             ! NNLO evolution kernels (1: NLO)
      kordhq=1                 ! NLO OMEs for the 4- and 5-flavour matching 

      NF=5                     ! maximal number of flavours to be generated

      msbarm=.true.            ! MSbar-definition of the massive OMEs
      rmass(8)=1.27            ! MSbar c-quark mass
      vfnth(4)=rmass(8)        ! 4-flavour PDF matching at m_c 
      rmass(10)=4.19           ! MSbar b-quark mass
      vfnth(5)=rmass(10)       ! 5-flavour PDF matching at m_c 

      q20alphas=2d0            ! starting scale of the \alpha_s evolution
      alphas0=0.3              ! 3-flavour \alpha_s at evolution starting scale 

      q20=1d0                  ! starting scale of the PDF evolution

      q2max=2.1d4              ! upper scale margin of the PDF evolution
      q2min=1d0                ! low scale margin of the PDF evolution
      xbmin=5d-6               ! low margin of the x-grid

!   the number of nodes in the x-grid at x>0.3 and x<0.3, respectively
      nxpgrid=100              
      nxmgrid=100 
!   the number of nodes in the x-grid at Q2>Q20 and Q2<Q20, respectively
      nspgrid=60
      nsmgrid=3

      call initgridconst     ! initialization of the constants, grids, etc. 

      CALL apeqsol           ! solving evolution equations and storing PDF grids
                             ! starting from the scale of Q20 and PDFs 
                             ! returned by XQG0, cf ../user/iterface.f
      bmin=1d0
      bmax=1d4
      nbin=20
      bin=(log(bmax)-log(bmin))/(nbin-1)

      xb=1d-3
      np=1   ! gluon (2: d, 3: dbar, 4: u, 5: ubar, 6: s, 7: sbar, 
             !        8: c, 9: cbar, 10: b, 11: bbar)

      print *,'The gluon distribution at x=0.001 and different',
     -' factorization scales squared (GeV**2) (first column)',
     -' in the 3-flavour (second column),',
     -' 4-flavour (third column), and',
     -' 5-flavour (4-th column) schemes.'

      do i=1,nbin
        rmu2=bmin*exp(bin*(i-1))
          a0=xqg(np,xb,rmu2,0)         ! 3-flavour scheme
          a1=xqg(np,xb,rmu2,1)         ! 4-flavour scheme
          a2=xqg(np,xb,rmu2,2)         ! 5-flavour scheme
          print *,rmu2,a0,a1,a2
      end do

      stop
      end
